#!/bin/sh
# 
# This script is used to add and remove our extension from the thunderbird
# directory, and is run from 'triggers' when thunderbird is installed or
# upgraded, as well as when our package is installed. It is needed because
# thunderbird is installed into versioned directories in /usr/lib[64]/thunderbird
# Based on firefox-update.sh from mugshot
if [ "$1" = "install" ] ; then
    for libdir in /usr/lib /usr/lib64 ; do
	# Add symlinks to any thunderbird directory that looks like it is part of a
	# currently installed package
	for d in $libdir/thunderbird*; do
	    if [ "$d" = "$libdir/thunderbird*" ] ; then
		continue
	    fi
	    link=$d/extensions/\{b656ef18-fd76-45e6-95cc-8043f26361e7\}
	    target=$libdir/beagle/thunderbird
	    if [ -e $target -a -e $d/thunderbird-bin -a -d $d/extensions -a ! -L $link ] ; then
		ln -s $target $link
	    fi
	done
    done
elif [ "$1" = "remove" ] ; then
    for libdir in /usr/lib /usr/lib64 ; do
	# Remove any symlinks we've created into any thunderbird directory
	for d in $libdir/thunderbird*; do
	    if [ "$d" = "$libdir/thunderbird*" ] ; then
		continue
	    fi
	    link=$d/extensions/\{b656ef18-fd76-45e6-95cc-8043f26361e7\}
	    if [ -L $link ] ; then
		rm $link
	    fi
	done
     done
else
    echo "Usage thunderbird-update.sh [install/remove]"
fi
